Create Learning Custom Field

Create a custom field in the learning platform.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

organization_slugstringRequired

Headers

Secret-AccessstringRequired

Request

This endpoint expects an object.
customFieldTypeIdstringRequired

The ID of the custom field type. It is recommended to use a UUID (Universally Unique Identifier) to ensure uniqueness and consistency, e.g., 26589613-b8fc-4f66-826b-c33144ca8935.

customFieldTypeenumRequired

The type of the custom field. Available types are:

  • TEXT: Requires maxLength.
  • NUMBER: No additional fields required.
  • DATE: No additional fields required.
  • LIST: Requires options and isMultiple.
namestringRequired
The name of the custom field.
descriptionstringRequired
A description of the custom field.
maxLengthintegerOptional

Required if customFieldType is TEXT.

optionslist of objectsOptional

Required if customFieldType is LIST. Each item in the list must be a dictionary with a single key-value pair.

isMultiplebooleanOptional

Required if customFieldType is LIST. Indicates if multiple values are allowed.

Response

Custom field created successfully
originalIdstring
namestring
slugstring
organizationIdinteger
descriptionstringOptional
Description of the custom field.
maxLengthintegerOptional
customFieldTypeobjectOptional

Errors

400
Bad Request Error
422
Unprocessable Entity Error